"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkix-pypi/rdkix-pypi/build/temp.macosx-10.9-x86_64-cpython-39/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10cdedb80>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10cdedc10>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10cdedca0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10cdedd30>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10cdeddc0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10cdede50>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10cdedee0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10cdedf70>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3040>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf30d0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3160>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf31f0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3280>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3310>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf33a0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3430>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf34c0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3550>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf35e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3670>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3700>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3790>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3820>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf38b0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf39d0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3940>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3a60>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3af0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3b80>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3c10>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3ca0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3d30>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3dc0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3e50>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3ee0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf3f70>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7040>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf70d0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7160>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf71f0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7280>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7310>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf73a0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7430>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf74c0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7550>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf75e0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7670>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7700>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7790>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7820>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf78b0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7940>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf79d0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7a60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7af0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7b80>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7c10>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7ca0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7d30>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7dc0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7e50>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7ee0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10cdf7f70>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa040>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa1f0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa0d0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa280>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa310>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa3a0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa430>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa4c0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa5e0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa550>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa670>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa700>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa790>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa8b0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa820>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa940>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfa9d0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfaa60>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfaaf0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfab80>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10cdfac10>)]
name: str = 'fr_HOCCN'
